﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SilverlightApplication3
{
	public class MainViewModel
	{
		private ObservableCollection<UserControl> homeViews;

		public MainViewModel()
		{
			this.homeViews = new ObservableCollection<UserControl>();

			for (int i = 0; i < 4; i++)
			{
				this.homeViews.Add(new MyUserControl() { Title = "Title " + i });
				// If you use business objects instead of UIElements everything works fine.
				//this.homeViews.Add(new BusinessObject() { Title = "Title " + i });
			}
		}

		public ObservableCollection<UserControl> HomeViews
		{
			get
			{
				return this.homeViews;
			}
		}
	}
}
