﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace SilverlightApplication3
{
	public partial class MyUserControl : UserControl, INotifyPropertyChanged
	{
		//private string title;

		public static readonly DependencyProperty TitleProperty =
			DependencyProperty.Register("Title", typeof(string), typeof(MyUserControl), null);

		public string Title
		{
			get { return (string)GetValue(TitleProperty); }
			set { SetValue(TitleProperty, value); }
		}

		public MyUserControl()
		{
			InitializeComponent();
		}

		public event PropertyChangedEventHandler PropertyChanged;
		//public string Title
		//{
		//    get
		//    {
		//        return this.title;
		//    }
		//    set
		//    {
		//        if (this.title != value)
		//        {
		//            this.title = value;
		//            this.OnPropertyChanged("Title");
		//        }
		//    }
		//}

		private void OnPropertyChanged(string name)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(name));
			}
		}
	}
}
